From e9c087a9170dafdb1be5b1a024ba4c5a51d09a16 Mon Sep 17 00:00:00 2001
From: Austin English <austinenglish@gmail.com>
Date: Mon, 1 Jul 2019 09:17:31 +1000
Subject: [PATCH] user32: Added LoadKeyboardLayoutEx stub.

Wine-Bug: https://bugs.winehq.org/show_bug.cgi?id=28170
Signed-off-by: Vijay Kiran Kamuju <infyquest@gmail.com>
---
 dlls/user32/input.c     | 8 ++++++++
 dlls/user32/user32.spec | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/dlls/user32/input.c b/dlls/user32/input.c
index 0325e2ce3d..30c78406bd 100644
--- a/dlls/user32/input.c
+++ b/dlls/user32/input.c
@@ -1013,6 +1013,14 @@ HKL WINAPI LoadKeyboardLayoutA(LPCSTR pwszKLID, UINT Flags)
     return ret;
 }
 
+/***********************************************************************
+ *              LoadKeyboardLayoutEx (USER32.@)
+ */
+HKL WINAPI LoadKeyboardLayoutEx(HKL layout, const WCHAR *locale, UINT flags)
+{
+    FIXME_(keyboard)("(%p, %s, %x) semi-stub!\n", layout, debugstr_w(locale), flags);
+    return LoadKeyboardLayoutW(locale, flags);
+}
 
 /***********************************************************************
  *		UnloadKeyboardLayout (USER32.@)
diff --git a/dlls/user32/user32.spec b/dlls/user32/user32.spec
index d2a1487971..bf95097741 100644
--- a/dlls/user32/user32.spec
+++ b/dlls/user32/user32.spec
@@ -497,7 +497,7 @@
 @ stdcall LoadImageA(long str long long long long)
 @ stdcall LoadImageW(long wstr long long long long)
 @ stdcall LoadKeyboardLayoutA(str long)
-# @ stub LoadKeyboardLayoutEx
+@ stdcall LoadKeyboardLayoutEx(long wstr long)
 @ stdcall LoadKeyboardLayoutW(wstr long)
 @ stdcall LoadLocalFonts()
 @ stdcall LoadMenuA(long str)
-- 
2.26.2

